<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, minimal-ui' name='viewport' />
    <meta http-equiv="content-type" content="text/html;charset=utf-8" />
    <title>Mobile Base Slot</title>
    <script>
        DEBUG = true;
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/plugins/CSSPlugin.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/plugins/TextPlugin.min.js"></script>
    <script src="pixi.js"></script>
    <script src="pixi-layers.js"></script>
    <script src="egt-library.js"></script>
    <script src="TweenMax.min.js"></script>
    <script src="bottle.js"></script>
    <script src="game.js"></script>
    <script>
        function onLoad() {
            const WIDTH = 1280,
                HEIGHT = 720;

            window.app = new PIXI.Application({
                width: WIDTH, // default: 800
                height: HEIGHT, // default: 600
                antialias: true, // default: false
                transparent: false, // default: false
                resolution: 1, // default: 1
            });

            app.stage = new PIXI.display.Stage();
            document.body.appendChild(app.view);

            let background = new PIXI.Sprite.from("../assets/background.jpg");
            app.stage.addChild(background);

            egtLibrary.LayerManager.stage = app.stage;

            var mbs = new Game.Main();

            app.stage.addChild(mbs)

            mbs.createGroups();
        }
    </script>
    <style>
        #start {
            display: inline-block;
            position: absolute;
            top: 350px;
            left: 530px;
            color: white;
            cursor: pointer;
            z-index: 999999;
        }
        
        #start button {
            cursor: pointer;
            border: none;
            border-radius: 10px;
            height: 70px;
            width: 300px;
            background: white;
            font-size: 40px;
            font-weight: bold;
            color: #00011F;
        }
        
        #result {
            position: absolute;
            top: 350px;
            left: 530px;
        }
    </style>
</head>

<body onload="onLoad()">
    <div id="start">
        <button>
            Start Game
        </button>
    </div>
    <div id="result">

    </div>
</body>

</html>